'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EuiFormControlLayout = exports.ICON_SIDES = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _form_control_layout_icons = require('./form_control_layout_icons');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var ICON_SIDES = exports.ICON_SIDES = ['left', 'right'];

var EuiFormControlLayout = function EuiFormControlLayout(_ref) {
  var children = _ref.children,
      icon = _ref.icon,
      clear = _ref.clear,
      fullWidth = _ref.fullWidth,
      isLoading = _ref.isLoading,
      compressed = _ref.compressed,
      className = _ref.className,
      rest = _objectWithoutProperties(_ref, ['children', 'icon', 'clear', 'fullWidth', 'isLoading', 'compressed', 'className']);

  var classes = (0, _classnames2.default)('euiFormControlLayout', {
    'euiFormControlLayout--fullWidth': fullWidth,
    'euiFormControlLayout--compressed': compressed
  }, className);

  return _react2.default.createElement(
    'div',
    _extends({ className: classes }, rest),
    children,
    _react2.default.createElement(_form_control_layout_icons.EuiFormControlLayoutIcons, {
      icon: icon,
      clear: clear,
      isLoading: isLoading
    })
  );
};

exports.EuiFormControlLayout = EuiFormControlLayout;
EuiFormControlLayout.propTypes = {
  children: _propTypes2.default.node,
  icon: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.shape({
    type: _propTypes2.default.string,
    side: _propTypes2.default.oneOf(ICON_SIDES),
    onClick: _propTypes2.default.func
  })]),
  clear: _propTypes2.default.shape({
    onClick: _propTypes2.default.func
  }),
  fullWidth: _propTypes2.default.bool,
  isLoading: _propTypes2.default.bool,
  className: _propTypes2.default.string,
  compressed: _propTypes2.default.bool
};

EuiFormControlLayout.defaultProps = {
  isLoading: false,
  compressed: false
};
EuiFormControlLayout.__docgenInfo = [{
  'description': '',
  'methods': [],
  'props': {
    'children': {
      'type': {
        'name': 'node'
      },
      'required': false,
      'description': ''
    },
    'icon': {
      'type': {
        'name': 'union',
        'value': [{
          'name': 'string'
        }, {
          'name': 'shape',
          'value': {
            'type': {
              'name': 'string',
              'required': false
            },
            'side': {
              'name': 'enum',
              'value': [{
                'value': '\'left\'',
                'computed': false
              }, {
                'value': '\'right\'',
                'computed': false
              }],
              'required': false
            },
            'onClick': {
              'name': 'func',
              'required': false
            }
          }
        }]
      },
      'required': false,
      'description': ''
    },
    'clear': {
      'type': {
        'name': 'shape',
        'value': {
          'onClick': {
            'name': 'func',
            'required': false
          }
        }
      },
      'required': false,
      'description': ''
    },
    'fullWidth': {
      'type': {
        'name': 'bool'
      },
      'required': false,
      'description': ''
    },
    'isLoading': {
      'type': {
        'name': 'bool'
      },
      'required': false,
      'description': '',
      'defaultValue': {
        'value': 'false',
        'computed': false
      }
    },
    'className': {
      'type': {
        'name': 'string'
      },
      'required': false,
      'description': ''
    },
    'compressed': {
      'type': {
        'name': 'bool'
      },
      'required': false,
      'description': '',
      'defaultValue': {
        'value': 'false',
        'computed': false
      }
    }
  }
}];